Bug 164987 - sfdisk buffer overflow
sfdisk buffer overflow
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
http://www.kleineisel.de/ralf/sfdisk.png
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 06:46 EDT by Ralf Kleineisel
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 05:24:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Kleineisel 2005-08-03 06:46:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
I used the sfdisk from the rescue CD.

When I try to partition a disk with "sfdisk /dev/sda < /mnt/usb/sda.part" from a file I had previously written with "sfdisk -d /dev/sda > sda.part" I get a "buffer overlow" error. See above URL for details.

Version-Release number of selected component (if applicable):
sfdisk 3.08 / util-linux-2.12p

How reproducible:
Always

Steps to Reproduce:
1. Boot from rescue CD
2. Dump partition table into file with "sfdisk -d /dev/sda > sda.part"
3. Partition disk with "sfdisk /dev/sda < sda.part"
  

Actual Results:  Buffer overflow error

Expected Results:  Partition hard disk

Additional info:
Comment 1 Karel Zak 2005-08-03 08:20:44 EDT
Please, I need exact package version:  rpm -q util-linux

It seems like bug #159418 that should be fixed in >= util-linux-2.12p-9.5
Comment 2 Ralf Kleineisel 2005-08-03 08:43:09 EDT
"rpm -q util-linux" does not make any sense on the rescue CD.

"sfdisk /dev/sda < sda.part" works fine with a sfdisk that I linked statically
from util-linux-2.12p-9.3.src.rpm.

It does work with a normally linked sfdisk from util-linux-2.12p-9.7, too.

But this does not help when using the rescue CD.
Comment 5 Karel Zak 2005-08-04 05:24:22 EDT
We don't update stage2 images after GA release. So I cannot help you. Closing
with status NEXTRELEASE. Sorry.


Note You need to log in before you can comment on or make changes to this bug.